<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
// +----------------------------------------------------------------------+
// | PHP version 4/5                                                      |
// +----------------------------------------------------------------------+
// | This source file is a part of iScripts Multicart                     |
// +----------------------------------------------------------------------+
// | Authors: Programmer<programmer@armia.com>        		              |
// +----------------------------------------------------------------------+
// | Copyrights Armia Systems, Inc and iScripts.com � 2005                |
// | All rights reserved                                                  |
// +----------------------------------------------------------------------+
// | This script may not be distributed, sold, given away for free to     |
// | third party, or used as a part of any internet services such as      |
// | webdesign etc.                                                       |
// +----------------------------------------------------------------------+
?>
<?php
include "../includes/config.php";
include "../includes/session.php";
include "../includes/functions.php";

if (isset($_SESSION["sess_adminname"]) and $_SESSION["sess_adminname"] != "") {
	$adminname = $_SESSION["sess_adminname"];
} else {
	header("Location:login.php");
	exit;
}




if (isset($_GET["txtSearch"]) and $_GET["txtSearch"] != "") {
	$txtSearch = $_GET["txtSearch"];
	$cmbSearchType = $_GET["cmbSearchType"];
} else if (isset($_POST["txtSearch"]) and $_POST["txtSearch"] != "") {
	$txtSearch = $_POST["txtSearch"];
	$cmbSearchType = $_POST["cmbSearchType"];
}


/* ---------Patch----------- */


if (isset($_GET['msg'])) {
	$message = BANNER_DETAILS_UPDATED." !!";
}

if (isset($_GET['msg1'])) {
	$message = $_GET['msg1'];
}


/* ---------Patch----------- */

if ($_GET['delete_permanent'] == 'N') {

	switch ($_GET['delete_status']) {

		CASE 'N':
			$delete_bannner = "UPDATE " . $tableprefix . "banners SET vbannerdelete_status = 'Y' WHERE nbanner_id = " . $_GET['del_id'];
			mysql_query($delete_bannner) or die(mysql_error());

			header("Location:banners.php?page=" . $_GET['page'] . "&txtSearch=" . $_GET['txtSearch']);

			break;
		CASE 'Y':
			$delete_bannner = "UPDATE " . $tableprefix . "banners SET vbannerdelete_status = 'N' WHERE nbanner_id = " . $_GET['del_id'];
			mysql_query($delete_bannner) or die(mysql_error());

			header("Location:banners.php?page=" . $_GET['page'] . "&txtSearch=" . $_GET['txtSearch']);

			break;
	}
} else if ($_GET['delete_permanent'] == 'Y') {

	$select_banner_images = "SELECT vbanner_image FROM " . $tableprefix . "banners WHERE nbanner_id = " . $_GET['del_id'];
	$result_banner_images = mysql_query($select_banner_images) or die(mysql_error());

	if (mysql_num_rows($result_banner_images) > 0) {
		while ($banner_images_row = mysql_fetch_array($result_banner_images)) {
			unlink("../banners/" . $banner_images_row['vbanner_image']);
		}
	}


	$delete_banner = "DELETE FROM " . $tableprefix . "banners WHERE nbanner_id = " . $_GET['del_id'];
	mysql_query($delete_banner) or die(mysql_error());

	header('Location:banners.php');
}


if (isset($_POST['gotoPage'])) {

    header("Location:" . $_SERVER['PHP_SELF'] . "?page=" . $_POST['gotoPage']);
}


$qryopt = "";
if ($txtSearch != "") {
    $qryopt .= "  WHERE vbanner_name  like '" . addslashes($txtSearch) . "%'";
}
$sql = " SELECT *,CASE WHEN vbannerdelete_status = 'Y' THEN 'No' ELSE 'Yes' END AS vbanner_deleted
					FROM " . $tableprefix . "banners " . $qryopt . " order by dbanner_date DESC ";

if (!(isset($pagenum))) {
    $pagenum = 1;
}

$limit = getSettingsValue('npagination_limit');

$page = isset($_GET['page']) ? trim($_GET['page']) : 1;


$page = $_GET['page'];

if (empty($page)) {
    $page = 1;
}

$result = mysql_query($sql) or die(mysql_error());

$totalrows = mysql_num_rows($result);

$limitvalue = ($page - 1) * $limit;

$query_string = " LIMIT $limitvalue, $limit";

$sql = $sql . $query_string;

$rs = mysql_query($sql) or die(mysql_error());

$numofpages = ceil($totalrows / $limit);

include "../includes/htmltop.php";
?>
<script language="JavaScript" type="text/JavaScript">
    function clickSearch()
    {

        var form_name = new Array('txtSearch');		
        var display_name = new Array('Banner Name');
        var count = 1;	

        if(check_fields('frmBanners',form_name,display_name,count))	
        {
  
  	
            document.frmBanners.submit();	
   
        }
        else
        {
  
            return false;
  
        }
     
    }


    function deleteBanner()
    {

			
        return confirm('<?php echo DELETE_BANNER_CONFIRM;?>!!')

    }


    function blockBanner(val)
    {

			
        if(val == 'N')
        {

            return confirm('<?php echo DISABLE_BANNER_CONFIRM;?>!!')
	
        }
        else if(val == 'Y')
        {
	
            return confirm('<?php echo ENABLE_BANNER_CONFIRM;?>!!')
	
        }	

    }


</script>

<body>

	<center>

		<div align="left" id="layout">




			<!--header area start -->
			<?php
			include_once("../includes/topheader_admin.php")
			?>

			<!--header area end -->




			<div align="right" class="main_body">
				<!--main body start -->



				<?php
				include_once("../includes/admintopmenu.php")
				?>


				<div align="right" class="content_area">

					<!--content area start -->

					<div align="left" class="page_title">
						<?php echo BANNERS;?>
					</div>
					<div align="center" class="text_information grey_tr">
						<?php echo $message ?>
					</div>
					<br>

					<div align="right">

						<form action="" method="get" name="frmBanners">

							<table width="100%" border="0" cellpadding="0" cellspacing="0"
								class="manage_top">
								<tr>
									
									<td width="75%" align="left" valign="middle" class=''>&nbsp;<?php echo SEARCH_BANNERNAME;?>
										<input type="text" name="txtSearch" size="20" maxlength="50"
										value="<?php echo(htmlentities($txtSearch)); ?>"
										class="textarea">
										<a onClick="return clickSearch();" class="search_button"><?php echo BTN_SEARCH; ?></a>
									</td>
                                                                        <td align="right"><a href="banneradd.php"
                                                                                            style="cursor: pointer" class="add_new_button"><?php echo BTN_ADD_NEW; ?></a></td>
								</tr>

							</table>


						</form>

					</div>

					<div align="right">

						<form action="" method="post" name="frmBanners1">

							<table width="100%" border="0" cellpadding="0" cellspacing="0"
								class="manage_table">

								<tr class="form_header">
									<th width="13%" align="right">#</th>
									<th width="17%" align="right" class="boxalternatecolor2"><?php echo BANNER_NAME;?>
									</th>
									<th width="17%" align="right"><?php echo BANNER_IMAGE;?></th>
									<th width="28%" align="right"><?php echo BANNER_LOCATION_URL;?>
									</th>
									<th width="13%" align="right"><?php echo ACTIVE;?></th>
									<th width="22%" align="right"><?php echo ACTION;?></th>
								</tr>
								<?php
								if (mysql_num_rows($result) > 0) {
    $i = 1;

    while ($row = mysql_fetch_array($rs)) {
        ?>
								<tr class="">
								<td align="right"><?php echo (($page * $limit) + $i - $limit) ?>
									</td>
									<td align="right"><?php echo $link . htmlentities($row["vbanner_name"]) . "</a>"; ?>
									</td>
									<td align="right">http://<?php echo htmlentities($row["vbanner_locurl"]) ?>
									</td>
									<td align="right"><?php echo $st1; ?></td>
									<td align="right"><a
										href="banneredit.php?edit_id=<?php echo $row["nbanner_id"] ?>&qstring=<?php echo $_SERVER['QUERY_STRING'] ?>"><img
											src="../images/btn_edit.gif" border="0" title="Edit Banner">
									</a>&nbsp;/&nbsp;<a
										href="banners.php?del_id=<?php echo $row["nbanner_id"] ?>&delete_status=<?php echo $row['vbannerdelete_status'] ?>&delete_permanent=Y"
										style="cursor: pointer"
										onClick="return deleteBanner('<?php echo  $row['vbannerdelete_status'] ?>')"><img
											src="../images/btn_del.gif" border="0" title="Delete Banner">
									</a>&nbsp;/&nbsp; <?php
									if ($row['vbannerdelete_status'] == "Y") {
            ?> <a
										href="banners.php?del_id=<?php echo $row["nbanner_id"] ?>&delete_status=<?php echo $row['vbannerdelete_status'] ?>&delete_permanent=N&page=<?php echo $page ?>&txtSearch=<?php echo $txtSearch ?>"
										style="cursor: pointer"
                                                                                onClick="return blockBanner('<?php echo $row['vbannerdelete_status'] ?>')"><?php echo LINK_ENABLE; ?></a> <?php
                                    } else {
                                        ?> <a
										href="banners.php?del_id=<?php echo $row["nbanner_id"] ?>&delete_status=<?php echo $row['vbannerdelete_status'] ?>&delete_permanent=N&page=<?php echo $page ?>&txtSearch=<?php echo $txtSearch ?>"
										style="cursor: pointer"
										onClick="return blockBanner('<?php echo $row['vbannerdelete_status'] ?>')"><?php echo LINK_DISABLE; ?></a> <?php
                                    }
                                    switch ($row["vbanner_deleted"]){
                                    	case 'Yes':$st1=YES;
                                    	break;
                                    	case 'No' :$st1=NO1;
                                    	break;
                                    }

                                    ?>
									</td>
									
									<td align="right"><img height="30" width="100"
										src="../banners/<?php echo $row["vbanner_image"] ?>"></td>
								</tr>
								<?php
								$i++;
    }
} else {
    ?>
								<tr>
									<td align="center" valign="middle" colspan="6"
										class="text_information"><?php echo NO_RECORDS_FOUND;?> !!</td>
								</tr>
								<?php
                                    }

                                    if ($page > 1) {
                                        $pageprev = $page - 1;

                                        $previous_page = "<a href=" . $_SERVER['PHP_SELF'] . "?page=$pageprev alt='Previous' border='0' class='small_gray_button'>prev</a>";
                                    }


                                    if ($page < $numofpages) {
                                        $pagenext = ($page + 1);

                                        $next = "<a href=" . $_SERVER['PHP_SELF'] . "?page=$pagenext alt='Next' border='0' class='small_gray_button'>Next</a>";
                                    }
                                    ?>


								<tr>
									<td class="btn_gotbl" align="left" valign="middle">&nbsp;</td>
									<td align="right" valign="middle" class="page_nos" colspan="2">&nbsp;</td>
									<td class="page_nos" align="center" colspan="2">&nbsp;</td>
								</tr>
								<?php
								if ($page < $numofpages || $page > 1) {
    ?>
								<tr>
									<td colspan="6" align="right" valign="middle">
									
										<table width="100%" border="0" cellspacing="10" cellpadding="0">
											<tr align="left" valign="middle">
											<td width="21%" align="right"><?php echo $previous_page ?></td>
											<td width="23%" align="right">
												<?php echo PAGE."(".S.")";?> <?php echo $page ?>/<?php echo $numofpages ?>&nbsp;&nbsp;
												<?php echo GO_TO;?>	
											</td>
											<td width="8%" align="right">
												<select class="textarea2" name="gotoPage" style="padding:4px 5px; margin-bottom:1px; ">
													<?php
													for ($i = 1; $i <= $numofpages; $i++) {
													
													
													if ($i == $_GET['page']) {
													$page_selected = "selected";
													} else {
													$page_selected = "";
													}
													?>
													<option value="<?php echo $i ?>" <?php echo $page_selected ?>>
													<?php echo $i ?>
													</option>
													
													<?php
													}
													?>
												</select>
											</td>
											<td width="7%">
												 <a onClick="Javascript:document.frmBanners1.submit();" class="go_button_2">Go</a>
											</td>
											<td width="41%" align="center"><?php echo $next ?></td>
											</tr>
										</table>
									
									</td>
								</tr>
								<?php
                        }
                        ?>
							</table>

						</form>



					</div>


					<!--content area end-->

				</div>


				<div align="right" class="clear_float">
					<img src="<?php echo $imagefolder; ?>/clear.gif" alt="" width="1"
						height="1" />
				</div>
				<!--main body end -->
			</div>


			<?php
			include "../includes/footer.php";
			?>